aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: 1.1.0 crashes  (Read 4539 times)

superstoned

  • Jr. Member
  • **
  • Karma: 0
  • Offline Offline
  • Posts: 80
1.1.0 crashes
« on: October 28, 2003, 12:52:00 PM »

and it didnt before... this is the output in console:
[code:1]--== BACKTRACE FOLLOWS: ==--

  • amule(_ZN9CamuleApp16OnFatalExceptionEv+0x5b) [0x8219939]
  • [1] /usr/lib/libwx_gtk-2.4.so.0(wxFatalSignalHandler+0x2d)
[0x403d296d]
[2] /lib/libpthread.so.0 [0x405ed96d]
[3] /lib/libc.so.6 [0x4065d488]
[4] /lib/libc.so.6(calloc+0xd3) [0x406a55d3]
[5] /usr/lib/libglib-1.2.so.0(g_malloc0+0x33) [0x408c90f3]
[6] /usr/lib/libgtk-1.2.so.0(gtk_type_new+0x167) [0x40849d47]
[7] /usr/lib/libgtk-1.2.so.0(gtk_entry_new+0x20) [0x407c9a80]
[8] /usr/lib/libwx_gtk-2.4.so.0(_ZN10wxTextCtrl6CreateEP8wxWindowiRK8wxStringRK7wxPointRK6wxSizelRK11wxValidatorS4_+0x707) [0x40295cb7]
[9] /usr/lib/libwx_gtk-2.4.so.0(_ZN10wxTextCtrlC1EP8wxWindowiRK8wxStringRK7wxPointRK6wxSizelRK11wxValidatorS4_+0x83) [0x40295583]
[10] amule(_Z13serverListDlgP8wxWindowbb+0xbe9) [0x812e057]
[11] amule(_ZN10CServerWndC1EP8wxWindow+0x152) [0x81b6c80]
[12] amule(_ZN9CamuleDlgC1EP8wxWindow8wxString+0x2b6) [0x821ade0]
[13] amule(_ZN9CamuleApp6OnInitEv+0x385) [0x8216e9d]
[14] /usr/lib/libwx_gtk-2.4.so.0(_Z7wxEntryiPPc+0x228) [0x402481a8]
[15] amule(main+0x22) [0x82167ea]
[16] /lib/libc.so.6(__libc_start_main+0xc6) [0x40649da6]
[17] amule(_ZN18wxBaseArrayPtrVoidD2Ev+0x31) [0x80bced1]
Aborted[/code:1]

I have Debian, 2.4.20, KDE 3.2 CVS (20/10 from Debian CVS repository) I just downloaded the deb's from the site.

It did work before, but after some apt-get upgrade's (and maybe changes in config) it doesnt anymore but I dunno why.

I have removed & reinstalled it, purged all config files etc nothing works...
Logged

magnum3065

  • Newbie
  • Karma: 0
  • Offline Offline
  • Posts: 4
Re: 1.1.0 crashes
« Reply #1 on: October 28, 2003, 05:09:49 PM »

Yeah, this is an error in the Debian package.  It seems there was an issue with the version of the library it was linked with not matching the shared lib.  

See: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=217973

You'll probably have to wait for a new update to fix this.
Logged

BigBob

  • aMule project creator.
  • Full Member
  • ***
  • Karma: 1
  • Offline Offline
  • Posts: 140
    • http://bigbob.fun.free.fr
Re: 1.1.0 crashes
« Reply #2 on: October 28, 2003, 06:50:19 PM »

Try to compile from sources ...

A++
Logged
Creator of aMule & aStats projects

Guest

  • Guest
Re: 1.1.0 crashes
« Reply #3 on: October 28, 2003, 08:25:45 PM »

Logged

Guest

  • Guest
Re: 1.1.0 crashes
« Reply #4 on: October 28, 2003, 09:07:12 PM »

add the following lines in your /etc/apt/sources.list

deb http://gunnm.org/~soda/ unstable main contrib
deb-src http://gunnm.org/~soda/ unstable main contrib



then :
apt-get update
apt-get upgrade
Logged

magnum3065

  • Newbie
  • Karma: 0
  • Offline Offline
  • Posts: 4
Re: 1.1.0 crashes
« Reply #5 on: October 29, 2003, 07:50:53 AM »

Well, it's nice that there's a fix out now, but for future reference for those interested Debian makes it pretty easy to build source packages.  That's what I did on my system and it works nicely.

See http://www.debian.org/doc/manuals/apt-howto/ch-sourcehandling.en.html for more info.
Logged

superstoned

  • Jr. Member
  • **
  • Karma: 0
  • Offline Offline
  • Posts: 80
Re: 1.1.0 crashes
« Reply #6 on: October 29, 2003, 04:59:20 PM »

aaaaaaaaaah nice tnx for the debian source, this has fixed it... keep up the good work ;-)
Logged